Subject: bug#56869: 29.0.50; segfault, "assertion 'GDK_IS_DEVICE (device)' failed"

From: Po Lu <[email-masked]>
Date: Wed, 03 Aug 2022 09:14:08 +0800

Joe Corneli <[email-masked]> writes:

>> I’ve tried running things like this:
>>
>> joe@Proteus:~/emacs$ export GDK_DEBUG=events
>> joe@Proteus:~/emacs$ export GTK_DEBUG=misc
>> joe@Proteus:~/emacs$ emacs &
>>
>> (I tried with the "all" option, but it slowed Emacs down too much.)
>
> Now got these messages out, leading up to and just before the crash.
> I’m not sure what can be learned from this, so I pasted a lot of mostly
> repetitive context.

I'm sorry, but those trace messages don't really help.  Please install
the debugging symbols for GDK (usually available in a separate
"debuginfo" package repository on GNU/Linux systems), so we can find out
exactly what event is causing the crash.

Thanks.